## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csDirectionalLightProc< AttenuationProc >::PerVertex Class Reference

List of all members.

## Public Member Functions

float | Attenuation () const
float | DiffuseAttenuated () const
bool | IsLit () const
const csVector3 & | LightDirection () const
const float | LightInvDistance () const
CS_FORCEINLINE_TEMPLATEMETHOD | PerVertex (const csDirectionalLightProc &parent, const csVector3 &v, const csVector3 &n)

## Detailed Description

### template<class AttenuationProc>
class csDirectionalLightProc< AttenuationProc >::PerVertex

Definition at line 280 of file vertexlight.h.

The documentation for this class was generated from the following file:

- csgfx/vertexlight.h